
Base Distribution - Task # 59131

Status: Rejected Priority: Must have
Author: Christian Albrecht Category: Setup
Created: 2014-05-27 Assigned To:
Updated: 2014-06-03 Due date:
Subject: Wrong routes in Neos 1.1.0-Beta3
Description

Hi i found a bug in neos 1.1.0-Beta3
In Configuration/Routes.yaml is the default route for the Welcome Package of Flow.
Here should be the default route of Neos

MfG

History
#1 - 2014-05-27 09:58 - Aske Ertmann
- Status changed from New to Needs Feedback

Doesn't look like it's like that.. see 
https://git.typo3.org/Neos/Distributions/Base.git/blob/80d3778d8594136ae2a5edd53b81e7c6f3492059:/Configuration/Routes.yaml (1.1-beta3 tag) and
https://git.typo3.org/Neos/Distributions/Base.git/blob/refs/heads/1.1:/Configuration/Routes.yaml (1.1 branch)

#2 - 2014-06-03 20:41 - Christian Albrecht

I used https://ci.neos.typo3.org/job/TYPO3%20Neos%20Release/13/

Neos-1.1.0-beta3.zip

inside the included composer.json:

{
    "name": "typo3/neos-base-distribution",
    "description" : "TYPO3 Neos Base Distribution",
    "license": "GPL-3.0+",
    "config": {
        "vendor-dir": "Packages/Libraries",
        "bin-dir": "bin" 
    },
    "require": {
        "typo3/neos": "1.1.0-beta3",
        "typo3/neos-nodetypes": "1.1.0-beta3",
        "typo3/neosdemotypo3org": "1.1.0-beta3",
        "typo3/neos-kickstarter": "1.1.0-beta3",
        "typo3/typoscript": "@beta",
        "typo3/typo3cr": "@beta" 
    },
    "require-dev": {
        "typo3/buildessentials": "2.2.*",
        "mikey179/vfsstream": "1.2.*",
        "phpunit/phpunit": "4.0.*",
        "flowpack/behat": "dev-master" 
    },
    "minimum-stability": "dev",
    "suggest": {
        "ext-pdo_sqlite": "For running functional tests out-of-the-box this is required" 
    },
    "scripts": {
        "post-update-cmd": "TYPO3\\Flow\\Composer\\InstallerScripts::postUpdateAndInstall",
        "post-install-cmd": "TYPO3\\Flow\\Composer\\InstallerScripts::postUpdateAndInstall",
        "post-package-update":"TYPO3\\Flow\\Composer\\InstallerScripts::postPackageUpdateAndInstall",
        "post-package-install":"TYPO3\\Flow\\Composer\\InstallerScripts::postPackageUpdateAndInstall" 
    }
}

I Installed neos with this composer.json (composer install) and get this Routes.yaml:

#                                                                        #
# Routes configuration                                                   #
#                                                                        #
# This file contains the configuration for the MVC router.               #
# Just add your own modifications as necessary.                          #
#                                                                        #
# Please refer to the Flow manual for possible configuration options.    #
#                                                                        #

##
# Subroutes from the Welcome package.
#
# If the package "Welcome" is installed, its fallback route will point to an
# informative welcome screen.

-
  name: 'Welcome'
  uriPattern: '<WelcomeSubroutes>'
  subRoutes:
    WelcomeSubroutes:
      package: TYPO3.Welcome

##
# Flow subroutes
#

-
  name: 'Flow'
  uriPattern: '<FlowSubroutes>'
  defaults:
    '@format': 'html'
  subRoutes:
    FlowSubroutes:
      package: TYPO3.Flow

I dont know why, but this is what i get. ;)
#3 - 2014-06-03 21:30 - Christian Müller
- Status changed from Needs Feedback to Rejected

This way of installation is not described anywhere and not supported. Either you use the archives as a whole or you clone the base distribution or use
"composer create-project" with the base distribution. Just using the composer.json is not supported and wasn't supported in previous releases. Reason
is that the Routes.yaml is contained in the base distribution and if not existing will be taken from flow as a default.
